<?php
namespace Ric;
defined( 'ABSPATH' ) || exit;



Status::init();

class Status{

    private static $instance = null;

    public $ver = '1.0.0';
	
    public static function init(){
        if ( null == self::$instance ) {
                    self::$instance = new self;
            }
            return self::$instance;
    }


    public function __construct(){


        
        add_action('admin_menu',function(){    
                add_submenu_page(
                        'ric_plugin_admin_menu_page',
                        __('Status','ricpro'), 
                        __('Status','ricpro'), 
                        'manage_options',
                        'ric_plugin_admin_menu_status',
                        [$this,'adminPage']
                        );
            });
    




 


        \add_action ( 'wp_ajax_ric_export_settings', function(){
                
       
  
                if ( ! isset( $_POST['nonce'] ) || ! wp_verify_nonce( $_POST['nonce'], 'ric_nonce' ) 
                ) {
                    echo json_encode(['error'=>true,'message'=>__('Invailed request','ricpro'),'html'=>'']);
                    die();
                } 



                $settings = \Ric\Func::getOption();
 

                        echo json_encode(['error'=>false,'data'=>$settings]);
                        die();


        });

 
 
    }
    public  function adminPage(){
 
    
        $page_type=!empty($_GET['page']) ? wp_kses_post($_GET['page']) :false;

         
        if(!$page_type || $page_type!='ric_plugin_admin_menu_status'){
                return false;
        }
        $screen = get_current_screen();
  
        if ( $screen->parent_file != 'ric_plugin_admin_menu_page' )
                return;
     
                $nonce= wp_create_nonce('ric_nonce');
                echo '<div id="ric-tab-status" class="current ric_tab_content_item">';
                        echo '<h3 class="hndle"><span>'.__('Export settings','ricpro').'</span></h3>';
                        echo '<p class="hndle">'.__('Click here to export all settings.','ricpro');
                        echo '<br/><button data-nonce="'.$nonce.'" class="button button-primary button-large ric_export_settings">'.__('Export','ricpro').'</button></p>';

                        echo '<hr/>';

                echo '<div id="ric-tab-status2" class="current ric_tab_content_item">';
                        echo '<h3 class="hndle"><span>'.__('Environment info','ricpro').'</span></h3>';


                        // WP memory limit.
                        $wp_memory_limit = WP_MEMORY_LIMIT;
                        if ( function_exists( 'memory_get_usage' ) ) {
                                $wp_memory_limit = max( $wp_memory_limit,  @ini_get( 'memory_limit' )  ); // phpcs:ignore WordPress.PHP.NoSilencedErrors.Discouraged
                        }
 
                        $r = [
                        'ric_version'                  => RIC_VER,
                        'ric_pro_version'                  => defined('RIC_PRO_VER') ? RIC_PRO_VER :  'not installed',
                        'ric_db_version'                  => RIC_DB_VER,
                        'home_url'                  => get_option( 'home' ),
			'site_url'                  => get_option( 'siteurl' ),
			'woo_version'                   => function_exists('WC') ?  WC()->version : 'not installed',
		        'wp_version'                => get_bloginfo( 'version' ),
			'wp_multisite'              => is_multisite() ? 'yes' : 'no',
			'wp_memory_limit'           => $wp_memory_limit,
			'wp_debug_mode'             => ( defined( 'WP_DEBUG' ) && WP_DEBUG ),
			'wp_cron'                   => ! ( defined( 'DISABLE_WP_CRON' ) && DISABLE_WP_CRON ),
			'language'                  => get_locale(), 
			'server_info'               => isset( $_SERVER['SERVER_SOFTWARE'] ) ? wc_clean( wp_unslash( $_SERVER['SERVER_SOFTWARE'] ) ) : '',
			'php_version'               => phpversion(),
                        'php_upload_max_filesize'           => ini_get( 'upload_max_filesize' ),
			'php_post_max_size'         => ini_get( 'post_max_size' ) ,
			'php_max_execution_time'    => (int) ini_get( 'max_execution_time' ),
			'php_max_input_vars'        => (int) ini_get( 'max_input_vars' ),
		
			  
			'mysql_version'             => \Ric\Db::version(),
			'default_timezone'          => date_default_timezone_get(),
			'mbstring_enabled'          => extension_loaded( 'mbstring' )
                        ];

 
                        echo '<textarea style="direction:ltr;width:100%; white-space:pre-wrap;height:300px;" readonly="" >';

                        foreach($r as $k=>$v){
                                echo $k.': '.$v.PHP_EOL;
                        }
                        


                        echo '</textarea>';


                        echo '<hr/>';

                       
/*


  echo '<h3 class="hndle"><span>'.__('Import settings','ricpro').'</span></h3>';
                        echo '<p class="hndle">'.__('Click here to import settings. (JSON only)','ricpro');
                       

                        echo '<br/>';
                    ?>
                       <form class="ric_import_settings">
                            <input type="hidden" name="action" value="ric_import_settings" />

                            <?php
wp_nonce_field( 'ric_nonce', 'ric_nonce' );

?>


<input name="ric_json" type="file" accept="application/JSON" />

<?php

echo '<br/>';

echo '<button  class="button button-primary button-large">'.__('Import','ricpro').'</button>';
?>
        </form>
                    
                    <?php
                        


                        echo '<hr/>';*/

                echo '</div>';

 
    }
 
}