<?php
namespace Ric;
defined( 'ABSPATH' ) || exit;

$hooks = new Hooks();

class Hooks{

    public function __construct(){
        \add_action( 'admin_init',[ $this, 'actions']);
    }

    public function actions(){
        add_action( 'delete_post',[ $this, 'markAsDeleted'] );
        add_action( 'transition_post_status',[ $this, 'itemStatusChanged'], 10,3 );
    }

    public function itemStatusChanged($new_status, $old_status, $post ){
        if ( $old_status == $new_status ){
            return;
        }
        if($new_status!='publish'){
            $this->markAsDeleted($post->ID);
        }
    }

    public function markAsDeleted($wpid){
        Db::getRowByColumn('items','wp_id',$wpid);
    }

}
 
